- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Mesh< VERTEX_BUFFER, STENCIL_TABLE, EVALUATOR, PATCH_TABLE, DEVICE_CONTEXT > Class Template Reference

`#include <mesh.h>`

Inheritance diagram for Mesh< VERTEX_BUFFER, STENCIL_TABLE, EVALUATOR, PATCH_TABLE, DEVICE_CONTEXT >:

## Public Types
typedef VERTEX_BUFFER | VertexBuffer
typedef EVALUATOR | Evaluator
typedef STENCIL_TABLE | StencilTable
typedef PATCH_TABLE | PatchTable
typedef DEVICE_CONTEXT | DeviceContext
typedef EvaluatorCacheT< Evaluator > | EvaluatorCache
typedef PatchTable::VertexBufferBinding | VertexBufferBinding
Public Types inherited from MeshInterface< PATCH_TABLE >
typedef PATCH_TABLE | PatchTable
typedef PatchTable::VertexBufferBinding | VertexBufferBinding

## Public Member Functions
| Mesh (Far::TopologyRefiner *refiner, int numVertexElements, int numVaryingElements, int level, MeshBitset bits=MeshBitset(), EvaluatorCache *evaluatorCache=NULL, DeviceContext *deviceContext=NULL)
virtual | ~Mesh ()
virtual void | UpdateVertexBuffer (float const *vertexData, int startVertex, int numVerts)
virtual void | UpdateVaryingBuffer (float const *varyingData, int startVertex, int numVerts)
virtual void | Refine ()
virtual void | Synchronize ()
virtual PatchTable * | GetPatchTable () const
virtual Far::PatchTable const * | GetFarPatchTable () const
virtual int | GetNumVertices () const
virtual int | GetMaxValence () const
virtual VertexBufferBinding | BindVertexBuffer ()
virtual VertexBufferBinding | BindVaryingBuffer ()
virtual VertexBuffer * | GetVertexBuffer ()
virtual VertexBuffer * | GetVaryingBuffer ()
virtual Far::TopologyRefiner const * | GetTopologyRefiner () const
Public Member Functions inherited from MeshInterface< PATCH_TABLE >
| MeshInterface ()
virtual | ~MeshInterface ()

## Additional Inherited Members
Static Protected Member Functions inherited from MeshInterface< PATCH_TABLE >
static void | refineMesh (Far::TopologyRefiner &refiner, int level, bool adaptive, bool singleCreasePatch)

## Detailed Description

### template<typename VERTEX_BUFFER, typename STENCIL_TABLE, typename EVALUATOR, typename PATCH_TABLE, typename DEVICE_CONTEXT = void>
class OpenSubdiv::OPENSUBDIV_VERSION::Osd::Mesh< VERTEX_BUFFER, STENCIL_TABLE, EVALUATOR, PATCH_TABLE, DEVICE_CONTEXT >

Definition at line 317 of file mesh.h.

## Member Typedef Documentation

typedef DEVICE_CONTEXT DeviceContext

Definition at line 323 of file mesh.h.

typedef EVALUATOR Evaluator

Definition at line 320 of file mesh.h.

typedef EvaluatorCacheT<Evaluator> EvaluatorCache

Definition at line 324 of file mesh.h.

typedef PATCH_TABLE PatchTable

Definition at line 322 of file mesh.h.

typedef STENCIL_TABLE StencilTable

Definition at line 321 of file mesh.h.

typedef VERTEX_BUFFER VertexBuffer

Definition at line 319 of file mesh.h.

typedef PatchTable::VertexBufferBinding VertexBufferBinding

Definition at line 325 of file mesh.h.

## Constructor & Destructor Documentation

Mesh | ( | Far::TopologyRefiner * | refiner,
|  | int | numVertexElements,
|  | int | numVaryingElements,
|  | int | level,
|  | MeshBitset | bits = `MeshBitset()`,
|  | EvaluatorCache * | evaluatorCache = `NULL`,
|  | DeviceContext * | deviceContext = `NULL`
| ) |  |
| inline

Definition at line 327 of file mesh.h.

virtual ~Mesh | ( |  | ) |
| inline virtual

Definition at line 379 of file mesh.h.

## Member Function Documentation

virtual VertexBufferBinding BindVaryingBuffer | ( |  | ) |
| inline virtual

Implements MeshInterface< PATCH_TABLE >.

Definition at line 467 of file mesh.h.

virtual VertexBufferBinding BindVertexBuffer | ( |  | ) |
| inline virtual

Implements MeshInterface< PATCH_TABLE >.

Definition at line 463 of file mesh.h.

virtual Far::PatchTable const* GetFarPatchTable | ( |  | ) | const
| inline virtual

Implements MeshInterface< PATCH_TABLE >.

Definition at line 455 of file mesh.h.

virtual int GetMaxValence | ( |  | ) | const
| inline virtual

Implements MeshInterface< PATCH_TABLE >.

Definition at line 461 of file mesh.h.

virtual int GetNumVertices | ( |  | ) | const
| inline virtual

Implements MeshInterface< PATCH_TABLE >.

Definition at line 459 of file mesh.h.

virtual PatchTable* GetPatchTable | ( |  | ) | const
| inline virtual

Implements MeshInterface< PATCH_TABLE >.

Definition at line 451 of file mesh.h.

virtual Far::TopologyRefiner const* GetTopologyRefiner | ( |  | ) | const
| inline virtual

Definition at line 479 of file mesh.h.

virtual VertexBuffer* GetVaryingBuffer | ( |  | ) |
| inline virtual

Definition at line 475 of file mesh.h.

virtual VertexBuffer* GetVertexBuffer | ( |  | ) |
| inline virtual

Definition at line 471 of file mesh.h.

virtual void Refine | ( |  | ) |
| inline virtual

Implements MeshInterface< PATCH_TABLE >.

Definition at line 402 of file mesh.h.

virtual void Synchronize | ( |  | ) |
| inline virtual

Implements MeshInterface< PATCH_TABLE >.

Definition at line 447 of file mesh.h.

virtual void UpdateVaryingBuffer | ( | float const * | varyingData,
|  | int | startVertex,
|  | int | numVerts
| ) |  |
| inline virtual

Implements MeshInterface< PATCH_TABLE >.

Definition at line 396 of file mesh.h.

virtual void UpdateVertexBuffer | ( | float const * | vertexData,
|  | int | startVertex,
|  | int | numVerts
| ) |  |
| inline virtual

Implements MeshInterface< PATCH_TABLE >.

Definition at line 390 of file mesh.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/mesh.h